Subject: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines to spaces

From: "Drew Adams" <[email-masked]>
Date: Sat, 19 Jan 2013 07:45:09 -0800

> Not sure what you mean.  If you are going to use `isearch-string' to
> store the raw search string, obviously that variable should not be
> overwritten with the translated version.
> 
> So you need another variable for the translated version, but I don't
> think `isearch-message' is a good name, because the intent is not
> (only) to be a mere message for the user, but to serve as input for
> the search algorithm.  Therefore I'd look for a name which better
> reflects that intent.  For example `isearch-string-canonical' or
> `isearch-string-normalized' or something like that (see
> http://en.wikipedia.org/wiki/Canonicalization for inspiration).

Yes, you need to be able to go back and forth, and each is distiguishable from
the current search string variable, i.e., there are two "backups": raw and
pretty.  Possibly we could get by with just one backup, but the behavior should
be that the user can retrieve the last search string of either kind at any
point.